Bug 1655294 - GraphicsMagic-perl 1.3.31 is broken
Summary: GraphicsMagic-perl 1.3.31 is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: GraphicsMagick
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-02 13:13 UTC by Keith Distin
Modified: 2018-12-10 23:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 23:19:57 UTC


Attachments (Terms of Use)

Description Keith Distin 2018-12-02 13:13:46 UTC
Description of problem:

Latest update of GraphicsMagic-perl complains about undefined symbol: EnhanceImage


Version-Release number of selected component (if applicable):
1.3.31-1.fc29

How reproducible:
Always


Steps to Reproduce:
1. Run perl -e 'use Graphics::Magick;'


Actual results:

Can't load '/usr/lib64/perl5/vendor_perl/auto/Graphics/Magick/Magick.so' for module Graphics::Magick: /usr/lib64/perl5/vendor_perl/auto/Graphics/Magick/Magick.so: undefined symbol: EnhanceImage at /usr/lib64/perl5/DynaLoader.pm line 193.
 at -e line 1.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.



Expected results:
Nothing!

Additional info:
Previous version worked as expected

Comment 1 Rex Dieter 2018-12-05 15:24:16 UTC
Thanks, looking into it.


%changelog
* Wed Dec 05 2018 Rex Dieter <rdieter@fedoraproject.org> - 1.3.31-2
- GraphicsMagic-perl 1.3.31 is broken (#1655294)

Comment 2 Fedora Update System 2018-12-05 15:51:19 UTC
GraphicsMagick-1.3.31-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f8e6deb973

Comment 3 Fedora Update System 2018-12-05 15:52:16 UTC
GraphicsMagick-1.3.31-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1805575ff5

Comment 4 Fedora Update System 2018-12-06 01:13:02 UTC
GraphicsMagick-1.3.31-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1805575ff5

Comment 5 Fedora Update System 2018-12-06 02:27:50 UTC
GraphicsMagick-1.3.31-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f8e6deb973

Comment 6 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.